# setup-java

GitHub action to setup and configure java.  
The aim is to abstract [public setup-java action](https://github.com/actions/setup-java)  
to allow homemade customization, for example adding root ca certificate to the java truststore

## Usage example

```shell
name: Release

on:
  push:
    branches:
      - main

jobs:
  build:
    if: "contains(github.event.head_commit.message, vars.SKIP_CI_PREFIX) != true"

    runs-on: runner
    steps:
      - uses: https://antoine-roux.tk/projects/actions/checkout@v3.5.4

      - uses: https://antoine-roux.tk/projects/actions/setup-java@v1.0.0

      - uses: https://antoine-roux.tk/projects/actions/auto-changie@v1.0.1

      - name: Push changelog
        uses: stefanzweifel/git-auto-commit-action@v5
        with:
          commit_message: "${{ vars.SKIP_CI_PREFIX }} Push updated changelog"
```
